Subject: Re: bug#49293: [PATCH] isc-dhcp: Fix dhclient-script wrapper when cross-compiling.

From: Mathieu Othacehe <[email-masked]>
Date: Thu, 08 Jul 2021 23:00:14 +0200

Hey Maxime,

> Yes, indeed.  It seems like the same thing needs to be done for libexec/.dhclient-script.
> Also, I'm not sure if using 'canonical-package' is the right thing.
> I wonder when 'canonical-package' is supposed to be used.

There's at least one issue with canonical-package that is discussed
here:
https://lists.gnu.org/archive/html/guix-devel/2020-06/msg00123.html.

The problem is that having for instance the canonical and non-canonical
package "coreutils" in a package or system closure, will significantly
increase its size.

> (Somewhat unrelated) I'll rebase the meson patch on core-updates and try to
> cross-compile some qt application and run it under qemu.  

I put the cross-compilation effort aside lately, it's really great to
see you bringing real progress on that front.

Thanks,

Mathieu